Package org.pentaho.reporting.libraries.formula.function.userdefined

# Class ParseDateFunctionDescription

java.lang.Object
org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription
org.pentaho.reporting.libraries.formula.function.userdefined.ParseDateFunctionDescription

All Implemented Interfaces:
  `Serializable`, `FunctionDescription`

public class ParseDateFunctionDescription extends AbstractFunctionDescription
Todo: Document me!

Date: 04.01.2010 Time: 18:12:23

Author:
  Thomas Morgner.
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParseDateFunctionDescription()`

## Method Summary

Modifier and Type
Method
Description
`FunctionCategory`
`getCategory()`
`int`
`getParameterCount()`
`Type`
`getParameterType(int position)`
Returns the parameter type at the given position using the function metadata.
`Type`
`getValueType()`
`boolean`
`isParameterMandatory(int position)`
Defines, whether the parameter at the given position is mandatory.

### Methods inherited from class org.pentaho.reporting.libraries.formula.function.AbstractFunctionDescription

`getCanonicalName, getDefaultValue, getDescription, getDisplayName, getParameterDescription, getParameterDisplayName, isInfiniteParameterCount, isVolatile`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParseDateFunctionDescription

public ParseDateFunctionDescription()

## Method Details

### getParameterCount

public int getParameterCount()

### getParameterType

public Type getParameterType(int position)
Description copied from interface: `FunctionDescription`
Returns the parameter type at the given position using the function metadata. The first parameter is at the position 0;

Parameters:
  `position` - The parameter index.
Returns:
  The parameter type.

### getValueType

public Type getValueType()

### isParameterMandatory

public boolean isParameterMandatory(int position)
Defines, whether the parameter at the given position is mandatory. A mandatory parameter must be filled in, while optional parameters need not to be filled in.

Returns:

### getCategory

public FunctionCategory getCategory()